
Katello - Bug #5745

Entities name rendered as HTML under details page

05/15/2014 06:17 PM - Brad Buckingham

Status: Closed   

Priority: High   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: hard Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1096189 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/451
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1096189

Description of problem:

GPG key name rendered as HTML under details page. See the name along with Heading "GPG Key" and along with 'Name'

Please see screenshot.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140508.1

How reproducible:

always

Steps to Reproduce:

1. create a gpgkey with <a href='foo'>Click here</a>

2. go to details page

3.

Actual results:

the link'Click here' will be created

Expected results:

the key name should not be rendered as html

it should be like

<a href='foo'>Click here</a>

Additional info:

Associated revisions

Revision 17b36c92 - 08/05/2014 03:56 PM - Walden Raines

Fixes #5745/BZ963572: upgrade angular-gettext to fix XSS.

The library Bastion uses for i18n, angular-gettext, was

vulnerable to XSS.  This commit upgrades the version of

angular-gettext to one that is no longer vulnerable.

http://projects.theforeman.org/issues/5745

https://bugzilla.redhat.com/show_bug.cgi?id=963572

Revision d990e3ac - 08/05/2014 03:56 PM - Walden Raines

Fixes #5745/BZ963572: upgrade angular-gettext to fix XSS.

The library Bastion uses for i18n, angular-gettext, was

vulnerable to XSS.  This commit upgrades the version of

angular-gettext to one that is no longer vulnerable.
Revision 0b3e39cd - 08/05/2014 09:52 PM - Walden Raines

Merge pull request #4512 from waldenraines/5745

Fixes #5745/BZ963572: upgrade angular-gettext to fix XSS.

History

#1 - 05/15/2014 06:18 PM - Brad Buckingham

- Triaged set to Yes

#2 - 06/06/2014 03:08 PM - Eric Helms

- Target version set to 45

- Difficulty set to hard

#3 - 06/16/2014 02:42 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/23/2014 08:29 PM - Walden Raines

- Status changed from New to Assigned

#5 - 06/24/2014 03:24 PM - Walden Raines

- Priority changed from Normal to High

#6 - 06/24/2014 08:07 PM - Walden Raines

This is caused by a third party library angular-gettext.  I have entered an issue here:  https://github.com/rubenv/angular-gettext/issues/75

#7 - 07/07/2014 07:40 AM - Eric Helms

- Target version changed from 48 to 49

#8 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#9 - 07/31/2014 11:42 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4512 added

#10 - 08/05/2014 10:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|17b36c9293e2ca98997739d77760a7853c15cd5a.

#11 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
